<!--
  ~ iparapheur Web
  ~ Copyright (C) 2019-2025 Libriciel SCOP
  ~
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  -->
<div class="p-4">

  <app-breadcrumbs></app-breadcrumbs>
  <h1 [innerText]="messages.PAGE_TITLE"></h1>

  <ul>
    <li>
      <a
        [routerLink]="['/desk']"
        [innerText]="messages.DESKS">
      </a>
      <ul>
        <ng-container *ngFor="let elem of flattenTreeStructure">
          <li *ngIf="elem.isDesk && elem.deskWithCount as deskWithCount">
            <span [innerText]="elem.deskWithCount.desk.name"></span>
            <ul>
              <li *ngIf="deskWithCount.count?.lateFoldersCount > 0">
                <a
                  [innerText]="stateEnum.Late | stateName"
                  routerLink="/tenant/{{ deskWithCount.desk?.tenantId }}/desk/{{ deskWithCount.desk?.id }}">
                </a>
              </li>
              <li *ngIf="deskWithCount.count?.finishedFoldersCount > 0">
                <a
                  [innerText]="stateEnum.Finished | stateName"
                  routerLink="/tenant/{{ deskWithCount.desk?.tenantId }}/desk/{{ deskWithCount.desk?.id }}/finished">
                </a>
              </li>
              <li *ngIf="deskWithCount.count?.rejectedFoldersCount > 0">
                <a
                  [innerText]="stateEnum.Rejected | stateName"
                  routerLink="/tenant/{{ deskWithCount.desk?.tenantId }}/desk/{{ deskWithCount.desk?.id }}/rejected">
                </a>
              </li>
              <li *ngIf="deskWithCount.count?.draftFoldersCount > 0">
                <a
                  [innerText]="stateEnum.Draft | stateName"
                  routerLink="/tenant/{{ deskWithCount.desk?.tenantId }}/desk/{{ deskWithCount.desk?.id }}/draft">
                </a>
              </li>
              <li *ngIf="deskWithCount.count?.pendingFoldersCount > 0">
                <a
                  [innerText]="stateEnum.Current | stateName"
                  routerLink="/tenant/{{ deskWithCount.desk?.tenantId }}/desk/{{ deskWithCount.desk?.id }}">
                </a>
              </li>
              <li *ngIf="deskWithCount.count && computeDelegatedTotalFn(deskWithCount.count) > 0">
                <a
                  [innerText]="stateEnum.Delegated | stateName"
                  routerLink="/tenant/{{ deskWithCount.desk?.tenantId }}/desk/{{ deskWithCount.desk?.id }}/delegated">
                </a>
              </li>
            </ul>
          </li>
        </ng-container>
      </ul>
    </li>
  </ul>

  <ul>
    <li>
      <a
        [routerLink]="['/trash-bin']"
        [innerText]="messages.TRASH_BIN">
      </a>
    </li>
  </ul>

  <ul>
    <li>
      <span [innerText]="commonMessages.PROFILE_EDIT_USER"></span>
      <ul>
        <li>
          <a
            [routerLink]="['/profile/password']"
            [innerText]="commonMessages.PASSWORD">
          </a>
        </li>
        <li>
          <a
            [routerLink]="['/profile/signature']"
            [innerText]="commonMessages.PROFILE_SIGNATURE">
          </a>
        </li>
        <li>
          <a
            [routerLink]="['/profile/notifications']"
            [innerText]="commonMessages.PROFILE_NOTIFICATION">
          </a>
        </li>
        <li>
          <a
            [routerLink]="['/profile/folder-view-preferences']"
            [innerText]="commonMessages.PROFILE_FOLDER_VIEW_PREFERENCES">
          </a>
        </li>
        <li>
          <a
            [routerLink]="['/profile/favorite-desks']"
            [innerText]="commonMessages.PROFILE_FAVORITE_DESKS">
          </a>
        </li>
        <li>
          <a
            [routerLink]="['/profile/table-layout-editor']"
            [innerText]="commonMessages.PROFILE_DASHBOARD">
          </a>
        </li>
        <li>
          <a
            [routerLink]="['/profile/absences']"
            [innerText]="commonMessages.PROFILE_ABSENCES">
          </a>
        </li>
        <li>
          <a
            [routerLink]="['/profile/trash-bin']"
            [innerText]="commonMessages.PROFILE_TRASH_BIN">
          </a>
        </li>
        <li>
          <a
            [routerLink]="['/profile/debugging']"
            [innerText]="commonMessages.PROFILE_DEBUG">
          </a>
        </li>
      </ul>
    </li>
  </ul>

  <ul>
    <li>
      <a
        [routerLink]="['/gdpr']"
        [innerText]="messages.GDPR">
      </a>
    </li>
    <li>
      <a
        [routerLink]="['/about']"
        [innerText]="messages.ABOUT">
      </a>
    </li>
  </ul>

</div>